<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/audit-messages/template/elementsTable.xhtml">
        <tr class="rf-dt-r rf-dt-fst-r">
            <th class="rf-dt-hdr-c" rowspan="8">#{messages['net.ihe.gazelle.audit.message.EventIdentification']}</th>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.audit.message.EventID']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{AuditMessageViewer.selectedAuditMessage.event.eventID.optionality}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{AuditMessageViewer.selectedAuditMessage.event.eventID.value}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{AuditMessageViewer.selectedAuditMessage.event.eventID.regex}"/>
            </td>
        </tr>
        <ui:include src="/audit-messages/template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventActionCode']}"/>
            <ui:param name="elementDescription"
                      value="#{AuditMessageViewer.selectedAuditMessage.event.eventActionCode}"/>
        </ui:include>
        <ui:include src="/audit-messages/template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventDateTime']}"/>
            <ui:param name="elementDescription"
                      value="#{AuditMessageViewer.selectedAuditMessage.event.eventDateTime}"/>
        </ui:include>
        <ui:include src="/audit-messages/template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventOutcomeIndicator']}"/>
            <ui:param name="elementDescription"
                      value="#{AuditMessageViewer.selectedAuditMessage.event.eventOutcomeIndicator}"/>
        </ui:include>
        <ui:include src="/audit-messages/template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventTypeCode']}"/>
            <ui:param name="elementDescription"
                      value="#{AuditMessageViewer.selectedAuditMessage.event.eventTypeCode}"/>
        </ui:include>
        <ui:include src="/audit-messages/template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventOutcomeDescription']}"/>
            <ui:param name="elementDescription"
                      value="#{AuditMessageViewer.selectedAuditMessage.event.eventOutcomeDescription}"/>
        </ui:include>
        <ui:include src="/audit-messages/template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.PurposeOfUse']}"/>
            <ui:param name="elementDescription"
                      value="#{AuditMessageViewer.selectedAuditMessage.event.purposeOfUse}"/>
        </ui:include>
    </ui:decorate>
</ui:composition>
